play.mvc

## Class Http.WebSocketEvent

- java.lang.Object
- - play.mvc.Http.WebSocketEvent

Direct Known Subclasses:
  Http.WebSocketClose, Http.WebSocketFrame

Enclosing class:
  Http

    public static class Http.WebSocketEvent
    extends java.lang.Object

### Field Summary

Fields
`static F.Matcher<Http.WebSocketEvent,byte[]>` `BinaryFrame`
`static F.Matcher<Http.WebSocketEvent,Http.WebSocketClose>` `SocketClosed`
`static F.Matcher<Http.WebSocketEvent,java.lang.String>` `TextFrame`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketEvent()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SocketClosed

    public static F.Matcher<Http.WebSocketEvent,Http.WebSocketClose> SocketClosed

#### TextFrame

    public static F.Matcher<Http.WebSocketEvent,java.lang.String> TextFrame

#### BinaryFrame

    public static F.Matcher<Http.WebSocketEvent,byte[]> BinaryFrame

### Constructor Detail

#### WebSocketEvent

    public WebSocketEvent()